"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LIGHT = exports.DARK = exports.COMMON = void 0;
const deps_1 = require("./deps");
exports.COMMON = {
    lineLength: 80,
    indent: '',
    quotePadding: 1,
    quoteChar: '│',
    hrChar: '─',
    listChar: '•',
    cbCheckedChar: '☑',
    cbUncheckedChar: '☐',
    tableWordWrap: true,
    headingStyle: deps_1.chalk.bold,
    strongStyle: deps_1.chalk.bold,
    emStyle: deps_1.chalk.italic,
    delStyle: deps_1.chalk.strikethrough
};
exports.DARK = {
    ...exports.COMMON,
    mode: 'dark',
    headingLevels: [
        '#00FF00',
        '#00DD00',
        '#00BB00',
        '#009900',
        '#007700',
        '#005500'
    ],
    codeStyle: deps_1.chalk.bgBlackBright,
    codeInfoStyle: deps_1.chalk.bgGray.yellowBright,
    hrStyle: deps_1.chalk.dim,
    quoteStyle: deps_1.chalk.dim,
    listStyle: deps_1.chalk.cyan,
    cbStyle: deps_1.chalk.cyan,
    linkStyle: deps_1.chalk.blueBright
};
// todo replace colors
exports.LIGHT = {
    ...exports.COMMON,
    mode: 'dark',
    headingLevels: [
        '#ff0000',
        '#dd0000',
        '#bb0000',
        '#990000',
        '#770000',
        '#550000'
    ],
    codeStyle: deps_1.chalk.bgWhite,
    codeInfoStyle: deps_1.chalk.bgWhite.black,
    hrStyle: deps_1.chalk.dim,
    quoteStyle: deps_1.chalk.dim,
    listStyle: deps_1.chalk.redBright,
    cbStyle: deps_1.chalk.redBright,
    linkStyle: deps_1.chalk.blueBright
};
