"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const renderer_1 = require("./renderer");
const defaults_1 = require("./defaults");
describe('utils', () => {
    describe('pipe', () => {
        it('should return function', () => {
            expect(utils_1.pipe(() => true)).toBeInstanceOf(Function);
        });
        it('should compose functions', () => {
            const a = x => x + 1;
            const b = x => x * 2;
            const test = utils_1.pipe(a, b);
            expect(test(1)).toBe(4);
        });
    });
    describe('asPlain', () => {
        it('should convert class to plain object', () => {
            const plain = utils_1.asPlain(new renderer_1.CliRenderer(defaults_1.DARK));
            expect(typeof plain).toBe('object');
            expect(plain).not.toBeInstanceOf(renderer_1.CliRenderer);
            expect(plain).toBeInstanceOf(Object);
        });
    });
});
